Bug 27906 - Add support for circulation status 9 ( waiting to be re-shelved )
Summary: Add support for circulation status 9 ( waiting to be re-shelved )
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 25348
Blocks: 27907
  Show dependency treegraph
 
Reported: 2021-03-09 18:27 UTC by Kyle M Hall
Modified: 2021-08-16 18:33 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.02,20.11.09


Attachments
Bug 27906: Add unit test (1.33 KB, patch)
2021-03-10 15:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27906: Add support for circulation status 9 ( waiting to be re-shelved ) (880 bytes, patch)
2021-03-10 15:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27906: Add support for circulation status 9 ( waiting to be re-shelved ) (1.00 KB, patch)
2021-03-10 15:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27906: Add unit test (1.43 KB, patch)
2021-04-22 10:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27906: Add support for circulation status 9 ( waiting to be re-shelved ) (1.10 KB, patch)
2021-04-22 10:26 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 27906: Add unit test (1.48 KB, patch)
2021-07-09 11:58 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 27906: Add support for circulation status 9 ( waiting to be re-shelved ) (1.15 KB, patch)
2021-07-09 11:58 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2021-03-09 18:27:08 UTC

    
Comment 1 Kyle M Hall 2021-03-10 15:25:06 UTC
Created attachment 118026 [details] [review]
Bug 27906: Add unit test
Comment 2 Kyle M Hall 2021-03-10 15:25:16 UTC
Created attachment 118027 [details] [review]
Bug 27906: Add support for circulation status 9 ( waiting to be re-shelved )
Comment 3 Kyle M Hall 2021-03-10 15:27:00 UTC
Created attachment 118028 [details] [review]
Bug 27906: Add support for circulation status 9 ( waiting to be re-shelved )

In Koha, we can support circ status 09 in SIP by checking if the item's
location is "CART".

Test Plan:
1) prove t/db_dependent/SIP/Transaction.t
Comment 4 Kyle M Hall 2021-04-22 10:26:33 UTC
Created attachment 119987 [details] [review]
Bug 27906: Add unit test

Signed-off-by: Christopher Kellermeyer - Altadena Library District <ckellermeyer@altadenalibrary.org>
Comment 5 Kyle M Hall 2021-04-22 10:26:44 UTC
Created attachment 119988 [details] [review]
Bug 27906: Add support for circulation status 9 ( waiting to be re-shelved )

In Koha, we can support circ status 09 in SIP by checking if the item's
location is "CART".

Test Plan:
1) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: Christopher Kellermeyer - Altadena Library District <ckellermeyer@altadenalibrary.org>
Comment 6 Martin Renvoize 2021-07-09 11:58:29 UTC
Created attachment 122721 [details] [review]
Bug 27906: Add unit test

Signed-off-by: Christopher Kellermeyer - Altadena Library District <ckellermeyer@altadenalibrary.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 7 Martin Renvoize 2021-07-09 11:58:33 UTC
Created attachment 122722 [details] [review]
Bug 27906: Add support for circulation status 9 ( waiting to be re-shelved )

In Koha, we can support circ status 09 in SIP by checking if the item's
location is "CART".

Test Plan:
1) prove t/db_dependent/SIP/Transaction.t

Signed-off-by: Christopher Kellermeyer - Altadena Library District <ckellermeyer@altadenalibrary.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2021-07-09 11:59:16 UTC
Works as expected, tests pass, qa script happy.

Passing QA
Comment 9 Jonathan Druart 2021-07-12 13:49:01 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 10 Kyle M Hall 2021-07-16 13:06:54 UTC
Pushed to 21.05.x for 21.05.02
Comment 11 Fridolin Somers 2021-08-02 21:37:12 UTC
Pushed to 20.11.x for 20.11.09
Comment 12 Victor Grousset/tuxayo 2021-08-16 18:33:54 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.